# Uses of Class
com.clickhouse.jdbc.internal.ClickHouseJdbcUrlParser.ConnectionInfo

Packages that use ClickHouseJdbcUrlParser.ConnectionInfo
Package
Description
com.clickhouse.jdbc
com.clickhouse.jdbc.internal

## Uses of ClickHouseJdbcUrlParser.ConnectionInfo in com.clickhouse.jdbc

Fields in com.clickhouse.jdbc declared as ClickHouseJdbcUrlParser.ConnectionInfo
Modifier and Type
Field
Description
`protected final ClickHouseJdbcUrlParser.ConnectionInfo`
DataSourceV1.`connInfo`
Deprecated.

## Uses of ClickHouseJdbcUrlParser.ConnectionInfo in com.clickhouse.jdbc.internal

Methods in com.clickhouse.jdbc.internal that return ClickHouseJdbcUrlParser.ConnectionInfo
Modifier and Type
Method
Description
`static ClickHouseJdbcUrlParser.ConnectionInfo`
ClickHouseJdbcUrlParser.`parse(String jdbcUrl, Properties defaults)`
Deprecated.
Constructors in com.clickhouse.jdbc.internal with parameters of type ClickHouseJdbcUrlParser.ConnectionInfo
Modifier
Constructor
Description
``
`ClickHouseConnectionImpl(ClickHouseJdbcUrlParser.ConnectionInfo connInfo)`
Deprecated.